Gtk::Scrollable Class Reference

This interface is implemented by widgets with native scrolling ability. More...

Inheritance diagram for Gtk::Scrollable:
[legend]

## Public Member Functions

virtual | ~Scrollable ()
GtkScrollable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkScrollable* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< Adjustment > | get_hadjustment ()
| Retrieves the Gtk::Adjustment used for horizontal scrolling. More...
Glib::RefPtr< const Adjustment > | get_hadjustment () const
| Retrieves the Gtk::Adjustment used for horizontal scrolling. More...
void | set_hadjustment (const Glib::RefPtr< Adjustment >& hadjustment)
| Sets the horizontal adjustment of the Gtk::Scrollable. More...
void | unset_hadjustment ()
| This method removes the hadjustment. More...
Glib::RefPtr< Adjustment > | get_vadjustment ()
| Retrieves the Gtk::Adjustment used for vertical scrolling. More...
Glib::RefPtr< const Adjustment > | get_vadjustment () const
| Retrieves the Gtk::Adjustment used for vertical scrolling. More...
void | set_vadjustment (const Glib::RefPtr< Adjustment >& vadjustment)
| Sets the vertical adjustment of the Gtk::Scrollable. More...
void | unset_vadjustment ()
| This method removes the vadjustment. More...
ScrollablePolicy | get_hscroll_policy () const
| Gets the horizontal Gtk::ScrollablePolicy. More...
void | set_hscroll_policy (ScrollablePolicy policy)
| Sets the Gtk::ScrollablePolicy to determine whether horizontal scrolling should start below the minimum width or below the natural width. More...
ScrollablePolicy | get_vscroll_policy () const
| Gets the vertical Gtk::ScrollablePolicy. More...
void | set_vscroll_policy (ScrollablePolicy policy)
| Sets the Gtk::ScrollablePolicy to determine whether vertical scrolling should start below the minimum height or below the natural height. More...
Glib::PropertyProxy < Glib::RefPtr< Adjustment > > | property_hadjustment ()
| Horizontal adjustment that is shared between the scrollable widget and its controller. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Adjustment > > | property_hadjustment () const
| Horizontal adjustment that is shared between the scrollable widget and its controller. More...
Glib::PropertyProxy < Glib::RefPtr< Adjustment > > | property_vadjustment ()
| Vertical adjustment that is shared between the scrollable widget and its controller. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Adjustment > > | property_vadjustment () const
| Vertical adjustment that is shared between the scrollable widget and its controller. More...
Glib::PropertyProxy < ScrollablePolicy > | property_hscroll_policy ()
| How the size of the content should be determined. More...
Glib::PropertyProxy_ReadOnly < ScrollablePolicy > | property_hscroll_policy () const
| How the size of the content should be determined. More...
Glib::PropertyProxy < ScrollablePolicy > | property_vscroll_policy ()
| How the size of the content should be determined. More...
Glib::PropertyProxy_ReadOnly < ScrollablePolicy > | property_vscroll_policy () const
| How the size of the content should be determined. More...

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions

| Scrollable ()
| You should derive from this class to use it. More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::Scrollable > | wrap (GtkScrollable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

This interface is implemented by widgets with native scrolling ability.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

Gtk::Scrollable::Scrollable | ( |  | ) |

protected

You should derive from this class to use it.

virtual Gtk::Scrollable::~Scrollable | ( |  | ) |

virtual

## Member Function Documentation

static void Gtk::Scrollable::add_interface | ( | GType | gtype_implementer | ) |

static

Glib::RefPtr<Adjustment> Gtk::Scrollable::get_hadjustment | ( |  | ) |

Retrieves the Gtk::Adjustment used for horizontal scrolling.

Since gtkmm 3.0:

Returns
  Horizontal Gtk::Adjustment.

Glib::RefPtr<const Adjustment> Gtk::Scrollable::get_hadjustment | ( |  | ) | const

Retrieves the Gtk::Adjustment used for horizontal scrolling.

Since gtkmm 3.0:

Returns
  Horizontal Gtk::Adjustment.

ScrollablePolicy Gtk::Scrollable::get_hscroll_policy | ( |  | ) | const

Gets the horizontal Gtk::ScrollablePolicy.

Since gtkmm 3.0:

Returns
  The horizontal Gtk::ScrollablePolicy.

static GType Gtk::Scrollable::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

Glib::RefPtr<Adjustment> Gtk::Scrollable::get_vadjustment | ( |  | ) |

Retrieves the Gtk::Adjustment used for vertical scrolling.

Since gtkmm 3.0:

Returns
  Vertical Gtk::Adjustment.

Glib::RefPtr<const Adjustment> Gtk::Scrollable::get_vadjustment | ( |  | ) | const

Retrieves the Gtk::Adjustment used for vertical scrolling.

Since gtkmm 3.0:

Returns
  Vertical Gtk::Adjustment.

ScrollablePolicy Gtk::Scrollable::get_vscroll_policy | ( |  | ) | const

Gets the vertical Gtk::ScrollablePolicy.

Since gtkmm 3.0:

Returns
  The vertical Gtk::ScrollablePolicy.

GtkScrollable* Gtk::Scrollable::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GtkScrollable* Gtk::Scrollable::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

Glib::PropertyProxy< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_hadjustment | ( |  | ) |

Horizontal adjustment that is shared between the scrollable widget and its controller.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_hadjustment | ( |  | ) | const

Horizontal adjustment that is shared between the scrollable widget and its controller.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< ScrollablePolicy > Gtk::Scrollable::property_hscroll_policy | ( |  | ) |

How the size of the content should be determined.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< ScrollablePolicy > Gtk::Scrollable::property_hscroll_policy | ( |  | ) | const

How the size of the content should be determined.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_vadjustment | ( |  | ) |

Vertical adjustment that is shared between the scrollable widget and its controller.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_vadjustment | ( |  | ) | const

Vertical adjustment that is shared between the scrollable widget and its controller.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< ScrollablePolicy > Gtk::Scrollable::property_vscroll_policy | ( |  | ) |

How the size of the content should be determined.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< ScrollablePolicy > Gtk::Scrollable::property_vscroll_policy | ( |  | ) | const

How the size of the content should be determined.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gtk::Scrollable::set_hadjustment | ( | const Glib::RefPtr< Adjustment >& | hadjustment | ) |

Sets the horizontal adjustment of the Gtk::Scrollable.

Since gtkmm 3.0:

Parameters

  hadjustment | A Gtk::Adjustment.

void Gtk::Scrollable::set_hscroll_policy | ( | ScrollablePolicy | policy | ) |

Sets the Gtk::ScrollablePolicy to determine whether horizontal scrolling should start below the minimum width or below the natural width.

Since gtkmm 3.0:

Parameters

  policy | The horizontal Gtk::ScrollablePolicy.

void Gtk::Scrollable::set_vadjustment | ( | const Glib::RefPtr< Adjustment >& | vadjustment | ) |

Sets the vertical adjustment of the Gtk::Scrollable.

Since gtkmm 3.0:

Parameters

  vadjustment | A Gtk::Adjustment.

void Gtk::Scrollable::set_vscroll_policy | ( | ScrollablePolicy | policy | ) |

Sets the Gtk::ScrollablePolicy to determine whether vertical scrolling should start below the minimum height or below the natural height.

Since gtkmm 3.0:

Parameters

  policy | The vertical Gtk::ScrollablePolicy.

void Gtk::Scrollable::unset_hadjustment | ( |  | ) |

This method removes the hadjustment.

See Also
  set_hadjustment().

void Gtk::Scrollable::unset_vadjustment | ( |  | ) |

This method removes the vadjustment.

See Also
  set_vadjustment().

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Scrollable > wrap | ( | GtkScrollable * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/scrollable.h